%global major 1
%define libname %mklibname babeltrace %{major}
%define devname %mklibname babeltrace -d

Name:           babeltrace
Version:        1.5.11
Release:        %mkrel 3
License:        MIT and GPLv2
URL:            https://www.efficios.com/babeltrace
Source0:        https://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2
Group:          Development/Tools
Summary:        Trace Viewer and Converter, mainly for the Common Trace Format
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  libtool
BuildRequires:  pkgconfig(libelf)

%description
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.

The main format expected to be converted to/from is the Common Trace
Format (CTF). See https://www.efficios.com/ctf


%package -n     %{libname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C

%description -n %{libname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%package -n     %{devname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       glib2-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libbabeltrace-devel = %{version}-%{release}

%description -n %{devname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static

%make_build

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%{_bindir}/%{name}*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/babeltrace.pc
%{_libdir}/pkgconfig/babeltrace-ctf.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.5.11-3.mga10
+ Revision: 2222142
- Mageia 10 Mass Rebuild

* Mon Apr 08 2024 wally <wally> 1.5.11-2.mga10
+ Revision: 2056017
- basesystem rebuild for i686

* Mon Nov 21 2022 kekepower <kekepower> 1.5.11-1.mga9
+ Revision: 1909740
- Update to version 1.5.11

* Tue Mar 29 2022 umeabot <umeabot> 1.5.8-2.mga9
+ Revision: 1833463
- Mageia 9 Mass Rebuild

* Sun Apr 05 2020 tv <tv> 1.5.8-1.mga8
+ Revision: 1564941
- 1.5.8

* Mon Feb 17 2020 umeabot <umeabot> 1.5.7-3.mga8
+ Revision: 1537299
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 29 2019 daviddavid <daviddavid> 1.5.7-2.mga8
+ Revision: 1456480
- remove no more needed workaround for underlinking issue

* Mon Oct 28 2019 tv <tv> 1.5.7-1.mga8
+ Revision: 1456237
- new release (needed for new gegl)

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.5.6-1.mga7
+ Revision: 1346261
- 1.5.6

* Fri Sep 21 2018 umeabot <umeabot> 1.5.3-4.mga7
+ Revision: 1295251
- Mageia 7 Mass Rebuild

* Thu Nov 30 2017 mjack <mjack> 1.5.3-3.mga7
+ Revision: 1180378
- Updated to version 1.5.3

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.3-1.mga6
+ Revision: 1045504
- 1.3.3

* Mon May 09 2016 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1011321
- 1.3.2

* Thu Apr 14 2016 tv <tv> 1.3.1-3.mga6
+ Revision: 1001318
- provides libbabeltrace-devel

* Wed Jan 06 2016 luigiwalser <luigiwalser> 1.3.1-2.mga6
+ Revision: 920054
- use different configure macro

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.3.1-1.mga6
+ Revision: 918774
- 1.3.1

* Tue Oct 27 2015 daviddavid <daviddavid> 1.2.4-2.mga6
+ Revision: 895864
- update doc file list to fix build with latest rpm

* Tue Jun 23 2015 tv <tv> 1.2.4-1.mga6
+ Revision: 840307
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 746968
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.2-5.mga5
+ Revision: 725979
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 693473
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 678092
- Mageia 5 Mass Rebuild

* Sat Aug 09 2014 wally <wally> 1.2.2-2.mga5
+ Revision: 661274
- fix lib major

* Fri Aug 08 2014 tv <tv> 1.2.2-1.mga5
+ Revision: 661068
- imported package babeltrace


* Fri Aug 08 2014 Thierry Vignaud <tv@mageia.org> 1.2.2-1.mga5
- import from FC
- disable ld_no_undefined b/c of underlinking issues

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.2.1-1
- New upstream release

* Sat Mar 01 2014 Suchakra Sharma <suchakra@fedoraproject.org> - 1.2.0-1
- New upstream release
- Popt patch for babeltrace.pc.in removed. Its fixed in Fedora now
- Add new file (babeltrace-ctf.pc)

* Mon Aug 05 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.1.1-3
- Remove reference to versionned docdir (#992011)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.1.1-1
- New upstream bugfix release

* Tue May 28 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.1.0-1
- New upstream release
- Patch babeltrace.pc to not depends on popt.pc, as it does not exist in Fedora

* Tue Feb 26 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.3-1
- New upstream release
- Add pkg-config file to devel package (#913895)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.2-1
- New upstream release

* Tue Jan 15 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.0-3
- Change documentation directory to proper versionned one. 

* Mon Jan 14 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.0-2
- Use autoreconf rpath fix because the sed one was breaking the make check
- Use correct tar file version
- Package documentations in the right packages

* Mon Oct 29 2012 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.0-1
- New upstream release

* Tue Oct 02 2012 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.0-0.1.rc5
- New upstream release candidate
* Thu Jul 05 2012 Yannick Brosseau <yannick.brosseau@gmail.com> - 1.0.0-0.1.rc4
- New package, inspired by the one from OpenSuse 

